<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<object-views xmlns="http://axelor.com/xml/ns/object-views"
              xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
              xsi:schemaLocation="http://axelor.com/xml/ns/object-views http://axelor.com/xml/ns/object-views/object-views_5.2.xsd">

    <form name="operation-type-form" title="Operations Type" model="com.axelor.apps.qvm.db.QvmOperationType" width="large">
        <panel name="Overview" colspan="12">
            <field name="name"/>
            <field name="stockUnity"/>
        </panel>
        <panel-dashlet name="operationList" title="Operations" action="operation.action.view.related" colSpan="12"/>
    </form>

    <grid name="operation-type-grid" title="Operations types" model="com.axelor.apps.qvm.db.QvmOperationType" edit-icon="true">
        <field name="name"/>
        <field name="stockUnity"/>
    </grid>

    <kanban name="operation-type-kanban-view"  title="Operations Type" model="com.axelor.apps.qvm.db.QvmOperationType" columnBy="stockUnity" sequenceBy="stockUnity" draggable="false" limit="30">
        <field name="name"/>
        <field name="stockUnity"/>
        <template><![CDATA[
		<h4>{{name}}</h4>]]>
        </template>
    </kanban>

    <action-view name="operation.type.action.view" model="com.axelor.apps.qvm.db.QvmOperationType" title="Operations Type">
        <view name="operation-type-grid" type="grid"/>
        <view name="operation-type-kanban-view" type="kanban"/>
        <view name="operation-type-form" type="form"/>
    </action-view>

</object-views>
